PDA

View Full Version : SLES 11 SP4 SuSEfirewall2-3.6_SVNr208-2.14.1.noarch.rpm broken?



jayvi
11-May-2017, 21:14
SUSE recently release SuSEfirewall2-3.6_SVNr208-2.14.1.noarch.rpm (around May 9, 2017). When we build images with kiwi, it fails to create /etc/sysconfig/SuSEfirewall2.

I have worked-around the issue by reverting to the previous version, SuSEfirewall2-3.6_SVNr208-2.11.1.noarch.rpm.

If there is a dependency change for the new package, I am not aware of it.

ab
11-May-2017, 22:20
Is it possible for you to post the two RPMs somewhere? Also, which
version/SP of SLES is this on? It may be a dependency, or maybe a change
to the RPM's post-install scripts, or something... hard to tell for sure,
but if we get the RPMs then comparing them should be easy enough.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.

smflood
11-May-2017, 23:06
ab Wrote in message:

> Is it possible for you to post the two RPMs somewhere? Also, which
> version/SP of SLES is this on? It may be a dependency, or maybe a change
> to the RPM's post-install scripts, or something... hard to tell for sure,
> but if we get the RPMs then comparing them should be easy enough.

The forum view shows the OP's post tagged SLES11 SP4 which the
updated SUSEfirewall2 package version confirms.

It would certainly be useful to know which version of the
SUSEfirewall2 package was previously installed.

HTH.
--
Simon Flood
SUSE Knowledge Partner


----Android NewsGroup Reader----
http://usenet.sinaapp.com/

jayvi
12-May-2017, 20:12
Our SMT server has just two versions:

SuSEfirewall2-3.6_SVNr208-2.11.1.noarch.rpm 10-Nov-2015 01:39 67K

SuSEfirewall2-3.6_SVNr208-2.14.1.noarch.rpm 09-May-2017 06:24 68K

We have been using 2.11.1 without a problem until the new one appeared.

I extracted their spec files and attached them.

253

254

From time to time, I encounter dependency issues with kiwi, but I don't know how to communicate my fixes to SUSE.

Jay


ab Wrote in message:

> Is it possible for you to post the two RPMs somewhere? Also, which
> version/SP of SLES is this on? It may be a dependency, or maybe a change
> to the RPM's post-install scripts, or something... hard to tell for sure,
> but if we get the RPMs then comparing them should be easy enough.

The forum view shows the OP's post tagged SLES11 SP4 which the
updated SUSEfirewall2 package version confirms.

It would certainly be useful to know which version of the
SUSEfirewall2 package was previously installed.

HTH.
--
Simon Flood
SUSE Knowledge Partner


----Android NewsGroup Reader----
http://usenet.sinaapp.com/

ab
12-May-2017, 20:38
The changelog is interesting from the latter specfile:



296 * Tue Mar 21 2017 mgerstner@suse.com
297 - no longer call fillup during postinstall to prevent multiline
configuration
298 values being broken (bnc#798468)
299 - ignore the bootlock when incremental updates for hotplugged or virtual
300 devices are coming in during boot. This prevents lockups for
example when
301 drbd is used with FB_BOOT_FULL_INIT.
302 (bnc#785299,
0012-ignore-bootlock-for-virtual-hotplugged-bnc-785299.diff)
303 - only apply FW_KERNEL_SECURITY proc settings, if not overriden by the
304 administrator in /etc/sysctl.conf (bnc#906136). This allows you to
benefit
305 from some of the kernel security settings, while overwriting others.
306 (0013-allow-admin-override-of-proc-settings-bnc-906136.diff)




--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.

mgerstner
15-May-2017, 15:47
Hi,

I'm maintainer of SuSEfirewall2.



When we build images with kiwi, it fails to create /etc/sysconfig/SuSEfirewall2.

[...]

If there is a dependency change for the new package, I am not aware of it.


There has been no dependency change.

I'm not aware of anything contained in the update that would break kiwi.

Can you please explain in more detail which kiwi command fails and provide a full log?

Thank you.

jayvi
16-May-2017, 14:49
This is now confirmed in http://bugzilla.suse.com/show_bug.cgi?id=1039281

ab
16-May-2017, 15:19
Thanks for the follow-up; looks like a fix should be available pretty
soon, then.


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.

jayvi
25-May-2017, 04:41
I am happy to share some good news. This issue has been resolved with this latest version:

SuSEfirewall2=3.6_SVNr208-2.17.1

A big "thank you" for the prompt fix.